## Weiler-Atherton Clipping Applet

## Author: Christopher Andrews
## Date: May 2008

from javax.swing import JEditorPane
from javax.swing.text.html import HTMLEditorKit
from javax.swing.event import HyperlinkEvent
from javax.swing import JOptionPane
from java.net import URL



class HelpView(JEditorPane):
    def __init__(self):
        self.links = {}
        self.descriptions = {}
        self.setEditable(False)
        editorKit = HTMLEditorKit()
        style = editorKit.getStyleSheet()
        
        style.addRule("body{font-size:small;font-family:sans-serif;}")
        self.setEditorKit(editorKit)
        self.hyperlinkUpdate = self.hyperlinkEvent
        self.setPage(self.class.getResource('/help/index.html'))
        

    def hyperlinkEvent(self, event):
        """
        This is called in response to someone interacting with a link in the
        console window. This makes sure that the event is an actual click
        and then it displays the explanation associated with the link in
        a modal dialog.
        """
        if event.getEventType() == HyperlinkEvent.EventType.ACTIVATED:
            # get focus in the tab view
            scrollView = self.getParent().getParent()
            scrollView.getParent().setSelectedComponent(scrollView)
            self.setPage(self.class.getResource('/help/%s.html' % event.getDescription()))


 
   
